#ifndef BlankStat_h
#define BlankStat_h

#include <string>

class BlankStat {

 public:

  BlankStat( int lMin, int lMax );
  ~BlankStat();

  void process( const std::string& line );
  void print();

 private:

  int minLength;
  int maxLength;
  int nLines;
  int nBlanks;

  BlankStat           ( const BlankStat& x );
  BlankStat& operator=( const BlankStat& x );

};

#endif

